Bug 1249148 - Review Request: nodejs-create-error-class - Create Error classes
Review Request: nodejs-create-error-class - Create Error classes
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Piotr Popieluch
Fedora Extras Quality Assurance
:
Depends On: 1249146
Blocks: nodejs-reviews 1246749
  Show dependency treegraph
 
Reported: 2015-07-31 12:05 EDT by Parag Nemade
Modified: 2015-08-17 06:09 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-17 06:09:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
piotr1212: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 Piotr Popieluch 2015-08-05 07:13:35 EDT
to get the tests working:

Add test BR
BuildRequires:  npm(inherits)
BuildRequires:  npm(capture-stack-trace)


There is a  missing devDependency in package.json, fixdep it so that this module gets symlinked with the nodejs_symlink_deps --check macro
in prep add:
%nodejs_fixdep inherits '2.x'

change 
node test.js
to
mocha
in %check section


Tests should work now, will finish full review later today.
Comment 2 Piotr Popieluch 2015-08-05 15:07:34 EDT
One issue:

%{Summary} in %description should be %{summary} (not be capitalized). 
I've missed this one in nodejs-capture-stack-trace bug 1249146 . 


I will approve as soon as this and the previous comments are fixed. Would you also please fix nodejs-capture-stack-trace?


[!]: Macros in Summary, %description expandable at SRPM build time.
     Note: Macros in: nodejs-create-error-class (description)

nodejs-create-error-class.noarch: W: unexpanded-macro %description -l C %{Summary}





Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 2 files have unknown license. Detailed
     output of licensecheck in /home/piotr/rpmbuild/1249148-nodejs-create-
     error-class/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[!]: Macros in Summary, %description expandable at SRPM build time.
     Note: Macros in: nodejs-create-error-class (description)
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-create-error-class-2.0.1-1.fc24.noarch.rpm
          nodejs-create-error-class-2.0.1-1.fc24.src.rpm
nodejs-create-error-class.noarch: W: unexpanded-macro %description -l C %{Summary}
nodejs-create-error-class.noarch: W: only-non-binary-in-usr-lib
nodejs-create-error-class.noarch: W: dangling-symlink /usr/lib/node_modules/create-error-class/node_modules/inherits /usr/lib/node_modules/inherits@^2
nodejs-create-error-class.noarch: W: dangling-symlink /usr/lib/node_modules/create-error-class/node_modules/capture-stack-trace /usr/lib/node_modules/capture-stack-trace
nodejs-create-error-class.src: W: unexpanded-macro %description -l C %{Summary}
2 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
nodejs-create-error-class (rpmlib, GLIBC filtered):
    nodejs(engine)
    npm(capture-stack-trace)
    npm(inherits)



Provides
--------
nodejs-create-error-class:
    nodejs-create-error-class
    npm(create-error-class)



Source checksums
----------------
https://github.com/floatdrop/create-error-class/archive/bec0186ac350c5b89b1707d395c23a5a080b4f45.tar.gz#/create-error-class-bec0186.tar.gz :
  CHECKSUM(SHA256) this package     : 5f847c7f1b0332bd01f0191f631d0c5b0cac8217fa8f98bb7d9726678f2d5b03
  CHECKSUM(SHA256) upstream package : 5f847c7f1b0332bd01f0191f631d0c5b0cac8217fa8f98bb7d9726678f2d5b03


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1249148
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 3 Parag Nemade 2015-08-06 00:45:26 EDT
Ah! That is why fedora-create-review failed to display summary in initial comment...

I have fixed nodejs-capture-stack-trace on all built fedora branches.

Sorry I was busy yesterday with fesco meeting preparation so could not update this package. But here is a fixed package now :)

Spec URL: http://pnemade.fedorapeople.org/fedora-work/nodejs-create-error-class.spec
SRPM URL: http://pnemade.fedorapeople.org/fedora-work/nodejs-create-error-class-2.0.1-2.fc22.src.rpm
Comment 4 Piotr Popieluch 2015-08-06 02:16:04 EDT
APPROVED
Comment 5 Parag Nemade 2015-08-06 02:25:39 EDT
Thank you.

New Package SCM Request
=======================
Package Name: nodejs-create-error-class
Short Description: Create Error classes
Upstream URL: https://github.com/floatdrop/create-error-class
Owners: pnemade
Branches: f22 f23
Comment 6 Gwyn Ciesla 2015-08-07 09:26:38 EDT
Git done (by process-git-requests).
Comment 7 Parag Nemade 2015-08-17 06:09:27 EDT
Built in rawhide already.

Note You need to log in before you can comment on or make changes to this bug.